<html>
<head>
<title>Ogre::ParticleIterator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParticleIterator.html">ParticleIterator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParticleIterator Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParticleIterator" -->
<p>Convenience class to make it easy to step through all particles in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  
 <a href="classOgre_1_1ParticleIterator.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ParticleIterator-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#a11eb0d89627f9aa38052a77f50c6081d">end</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#acc0d0e3d1c86a0dc49e0dcb3a4b7295a">getNext</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the next particle, and moves the iterator on by 1 element.  <a href="#acc0d0e3d1c86a0dc49e0dcb3a4b7295a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#a77337a108a8cdc42f39140bf672e4bff">ParticleIterator</a> (<a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator start, <a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#a11eb0d89627f9aa38052a77f50c6081d">end</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Protected constructor, only available from ParticleSystem::getIterator.  <a href="#a77337a108a8cdc42f39140bf672e4bff"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#aedee61ed2b31fec8ec4e70e8ccc8e48f">mPos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#a561e2ef657150d80760dbc69e8173d5a">mStart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#a01097a2e40791211e162b25741952711">mEnd</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#a233ae59d6977e50773d931c6fd613030">ParticleSystem</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Convenience class to make it easy to step through all particles in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. </p>

<p>Definition at line <a class="el" href="OgreParticleIterator_8h_source.html#l00044">44</a> of file <a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a77337a108a8cdc42f39140bf672e4bff"></a><!-- doxytag: member="Ogre::ParticleIterator::ParticleIterator" ref="a77337a108a8cdc42f39140bf672e4bff" args="(list&lt; Particle * &gt;::type::iterator start, list&lt; Particle * &gt;::type::iterator end)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleIterator.html#a77337a108a8cdc42f39140bf672e4bff">Ogre::ParticleIterator::ParticleIterator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type::iterator&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Protected constructor, only available from ParticleSystem::getIterator. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a11eb0d89627f9aa38052a77f50c6081d"></a><!-- doxytag: member="Ogre::ParticleIterator::end" ref="a11eb0d89627f9aa38052a77f50c6081d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ParticleIterator.html#a11eb0d89627f9aa38052a77f50c6081d">Ogre::ParticleIterator::end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acc0d0e3d1c86a0dc49e0dcb3a4b7295a"></a><!-- doxytag: member="Ogre::ParticleIterator::getNext" ref="acc0d0e3d1c86a0dc49e0dcb3a4b7295a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Particle.html">Particle</a>* <a class="el" href="classOgre_1_1ParticleIterator.html#acc0d0e3d1c86a0dc49e0dcb3a4b7295a">Ogre::ParticleIterator::getNext</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the next particle, and moves the iterator on by 1 element. </p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a233ae59d6977e50773d931c6fd613030"></a><!-- doxytag: member="Ogre::ParticleIterator::ParticleSystem" ref="a233ae59d6977e50773d931c6fd613030" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleIterator_8h_source.html#l00046">46</a> of file <a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a01097a2e40791211e162b25741952711"></a><!-- doxytag: member="Ogre::ParticleIterator::mEnd" ref="a01097a2e40791211e162b25741952711" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::type::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#a01097a2e40791211e162b25741952711">Ogre::ParticleIterator::mEnd</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleIterator_8h_source.html#l00050">50</a> of file <a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aedee61ed2b31fec8ec4e70e8ccc8e48f"></a><!-- doxytag: member="Ogre::ParticleIterator::mPos" ref="aedee61ed2b31fec8ec4e70e8ccc8e48f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::type::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#aedee61ed2b31fec8ec4e70e8ccc8e48f">Ogre::ParticleIterator::mPos</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleIterator_8h_source.html#l00048">48</a> of file <a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a561e2ef657150d80760dbc69e8173d5a"></a><!-- doxytag: member="Ogre::ParticleIterator::mStart" ref="a561e2ef657150d80760dbc69e8173d5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::type::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#a561e2ef657150d80760dbc69e8173d5a">Ogre::ParticleIterator::mStart</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleIterator_8h_source.html#l00049">49</a> of file <a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:01
</p>
</body>
</html>
